Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo.identity
Class ByteIdentity

    java.lang.Object
      javax.jdo.identity.SingleFieldIdentity
          javax.jdo.identity.ByteIdentity

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable, java.lang.Comparable

    public class ByteIdentity

extends SingleFieldIdentity

This class is for identity with a single byte field.

Version:
  2.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.jdo.identity.SingleFieldIdentity
`hashCode, keyAsObject, msg`

Constructor Summary
`ByteIdentity()` Constructor only for Externalizable.
`ByteIdentity(java.lang.Class pcClass, byte key)` Constructor with class and key.
`ByteIdentity(java.lang.Class pcClass, java.lang.Byte key)` Constructor with class and key.
`ByteIdentity(java.lang.Class pcClass, java.lang.String str)` Constructor with class and key.

Method Summary
`int` | `compareTo(java.lang.Object o)` Determine the ordering of identity objects.
`protected java.lang.Object` | `createKeyAsObject()` Create the key as an Object.
`boolean` | `equals(java.lang.Object obj)` Determine if the other object represents the same object id.
`byte` | `getKey()` Return the key.
`void` | `readExternal(java.io.ObjectInput in)` Read this object.
`java.lang.String` | `toString()` Return the String version of the key.
`void` | `writeExternal(java.io.ObjectOutput out)` Write this object.

Methods inherited from class javax.jdo.identity.SingleFieldIdentity
`assertKeyNotNull, compare, getKeyAsObject, getTargetClass, getTargetClassName, hashClassName, hashCode, setKeyAsObject`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ByteIdentity

    public ByteIdentity(java.lang.Class pcClass,
                        byte key)

  Constructor with class and key.

  Parameters:
    `pcClass` - the target class
    `key` - the key

### ByteIdentity

    public ByteIdentity(java.lang.Class pcClass,
                        java.lang.Byte key)

  Constructor with class and key.

  Parameters:
    `pcClass` - the target class
    `key` - the key

### ByteIdentity

    public ByteIdentity(java.lang.Class pcClass,
                        java.lang.String str)

  Constructor with class and key.

  Parameters:
    `pcClass` - the target class
    `str` - the key

### ByteIdentity

    public ByteIdentity()

  Constructor only for Externalizable.

Method Detail

### getKey

    public byte getKey()

  Return the key.

  Returns:
    the key

### toString

    public java.lang.String toString()

  Return the String version of the key.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the key.

### equals

    public boolean equals(java.lang.Object obj)

  Determine if the other object represents the same object id.

  Overrides:
    `equals` in class `SingleFieldIdentity`
  Parameters:
    `obj` - the other object
  Returns:
    true if both objects represent the same object id

### compareTo

    public int compareTo(java.lang.Object o)

  Determine the ordering of identity objects.

  Parameters:
    `o` - Other identity
  Returns:
    The relative ordering between the objects
  Since:
    2.2

### createKeyAsObject

    protected java.lang.Object createKeyAsObject()

  Create the key as an Object.

  Overrides:
    `createKeyAsObject` in class `SingleFieldIdentity`
  Returns:
    the key as an Object
  Since:
    2.0

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Write this object. Write the superclass first.

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Overrides:
    `writeExternal` in class `SingleFieldIdentity`
  Parameters:
    `out` - the output
  Throws:
    `java.io.IOException`

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Read this object. Read the superclass first.

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Overrides:
    `readExternal` in class `SingleFieldIdentity`
  Parameters:
    `in` - the input
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.